package com.xhpc.common.dto;

import java.util.Date;

/**
 * 订单结束回调实体类
 */
public class PileEndOrder {

    private String orderNo; //交易流水号
    private String startSoc; //充电启始soc
    private String endSoc; //充电结束soc
    private Integer status; //状态 (1 成功 2 异常)
    private Integer chargingTime; //累计充电时间
    private Integer chargingDegree; //充电度数
    private Integer amountCharged; //已充金额（分）
    private Integer powerPrice;//电费（分）
    private Integer servicePrice;//服务费（分）
    private String erroRemark; //备注
    private Date  createTime;//时间

    public String getOrderNo() {

        return orderNo;
    }

    public void setOrderNo(String orderNo) {

        this.orderNo = orderNo;
    }

    public String getStartSoc() {

        return startSoc;
    }

    public void setStartSoc(String startSoc) {

        this.startSoc = startSoc;
    }

    public String getEndSoc() {

        return endSoc;
    }

    public void setEndSoc(String endSoc) {

        this.endSoc = endSoc;
    }

    public Integer getStatus() {

        return status;
    }

    public void setStatus(Integer status) {

        this.status = status;
    }

    public Integer getChargingTime() {

        return chargingTime;
    }

    public void setChargingTime(Integer chargingTime) {

        this.chargingTime = chargingTime;
    }

    public Integer getChargingDegree() {

        return chargingDegree;
    }

    public void setChargingDegree(Integer chargingDegree) {

        this.chargingDegree = chargingDegree;
    }

    public String getErroRemark() {

        return erroRemark;
    }

    public void setErroRemark(String erroRemark) {

        this.erroRemark = erroRemark;
    }

    public Integer getAmountCharged() {

        return amountCharged;
    }

    public void setAmountCharged(Integer amountCharged) {

        this.amountCharged = amountCharged;
    }

    public Integer getPowerPrice() {

        return powerPrice;
    }

    public void setPowerPrice(Integer powerPrice) {

        this.powerPrice = powerPrice;
    }

    public Integer getServicePrice() {

        return servicePrice;
    }

    public void setServicePrice(Integer servicePrice) {

        this.servicePrice = servicePrice;
    }

    public Date getCreateTime() {

        return createTime;
    }

    public void setCreateTime(Date createTime) {

        this.createTime = createTime;
    }

}
